---------------------
PatchSet 10855 
Date: 2007/06/19 21:00:11
Author: rousskov
Branch: HEAD
Tag: (none) 
Log:
Made AsyncJob::callException() virtual so that kids can customize exception
handling. ICAP transactions will use that to bypass failures.

Merged from the squid3-icap branch.

Members: 
	src/ICAP/AsyncJob.h:1.1->1.2 

Index: squid3/src/ICAP/AsyncJob.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ICAP/AsyncJob.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- squid3/src/ICAP/AsyncJob.h	8 May 2007 16:32:11 -0000	1.1
+++ squid3/src/ICAP/AsyncJob.h	19 Jun 2007 21:00:11 -0000	1.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: AsyncJob.h,v 1.1 2007/05/08 16:32:11 rousskov Exp $
+ * $Id: AsyncJob.h,v 1.2 2007/06/19 21:00:11 rousskov Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -80,7 +80,7 @@
 
     // asynchronous call maintenance
     bool callStart(const char *methodName);
-    void callException(const TextException &e);
+    virtual void callException(const TextException &e);
     virtual void callEnd();
 
     const char *stopReason; // reason for forcing done() to be true
